Subject: Re: [PATCH net-next 1/1] net sched actions: mirred add support for setting Dst MAC address

From: Jamal Hadi Salim <[email-masked]>
Date: Sat, 2 Jul 2016 10:26:21 -0400

On 16-07-02 10:16 AM, Jamal Hadi Salim wrote:
> On 16-07-02 10:07 AM, Nikolay Aleksandrov wrote:
>> On 02/07/16 16:02, Jamal Hadi Salim wrote:
>>> On 16-07-02 09:49 AM, Nikolay Aleksandrov wrote:
>
>>>> Also a minor suggestion - maybe err out on a
>>>> zero mac address, otherwise the user might think the operation was
>>>> successful.
>>>>
>>>
>>> Is a zero mac address wrong? What if that was policy intent?
>>>
>>
>> If you mean that you give the user ability to get rid of the mac, then
>> okay. I said it
>> because it will seem like a successful operation and then the mac will
>> not be dumped
>> or overwritten which will look like it wasn't set at all.
>>
>
> I mean a MAC address of all zeros.
> The destination MAC itself is optional attribute; if user doesnt pass it
> we (dont care and) never use it. Dumping will not see it and therefore
> not display it.
>

Actually it makes sense not to allow a MAC address of all zeros.
So I will add that check. Posting v2 shortly.

cheers,
jamal